A portable, open-source, coherent noise-generating library for C++

Main Page | Modules | Class Hierarchy | Class List | File List | Class Members

# noise::model::Plane Class Reference
[Models]

`#include <plane.h>`

List of all members.

## Detailed Description

Model that defines the surface of a plane.

This model returns an output value from a noise module given the coordinates of an input value located on the surface of an ( x, z ) plane.

To generate an output value, pass the ( x, z ) coordinates of an input value to the GetValue() method.

This model is useful for creating:

- two-dimensional textures
- terrain height maps for local areas

This plane extends infinitely in both directions.

## Public Member Functions

| Plane ()
| Constructor.
| Plane (const module::Module &module)
| Constructor.
const module::Module & | GetModule () const
| Returns the noise module that is used to generate the output values.
double | GetValue (double x, double z) const
| Returns the output value from the noise module given the ( x, z ) coordinates of the specified input value located on the surface of the plane.
void | SetModule (const module::Module &module)
| Sets the noise module that is used to generate the output values.

## Constructor & Destructor Documentation

Plane::Plane | ( | const module::Module & | module | ) |

Constructor.

Parameters:

  | module | The noise module that is used to generate the output values.

## Member Function Documentation

const module::Module& noise::model::Plane::GetModule | ( |  | ) | const`[inline]`

Returns the noise module that is used to generate the output values.

Returns:
  A reference to the noise module.

Precondition:
  A noise module was passed to the SetModule() method.

double Plane::GetValue | ( | double | x,
|  | double | z
| ) | const

Returns the output value from the noise module given the ( x, z ) coordinates of the specified input value located on the surface of the plane.

Parameters:

  | x | The x coordinate of the input value.
  | z | The z coordinate of the input value.

Returns:
  The output value from the noise module.

Precondition:
  A noise module was passed to the SetModule() method.

This output value is generated by the noise module passed to the SetModule() method.

void noise::model::Plane::SetModule | ( | const module::Module & | module | ) | `[inline]`

Sets the noise module that is used to generate the output values.

Parameters:

  | module | The noise module that is used to generate the output values.

This noise module must exist for the lifetime of this object, until you pass a new noise module to this method.

The documentation for this class was generated from the following files:

- plane.h
- plane.cpp